# schema_salad.main

Command line interface to schema-salad.

## Functions

`printrdf`(workflow, wf, ctx, sr) |
`arg_parser`() | Build the argument parser.
`main`([argsl]) | Run the schema-salad-tool.

## Module Contents

schema_salad.main.printrdf(workflow, wf, ctx, sr)
  Parameters:

    - workflow (str)

    - wf (Union[ruamel.yaml.comments.CommentedMap, ruamel.yaml.comments.CommentedSeq])

    - ctx (dict[str, Any])

    - sr (str)

  Return type:

    None

schema_salad.main.arg_parser()

  Build the argument parser.

  Return type:

    argparse.ArgumentParser

schema_salad.main.main(argsl=None)

  Run the schema-salad-tool.

  Parameters:

    argsl (Optional[list[str]])

  Return type:

    int